package com.ruoyi.project.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.business.mapper.TjElevatorMapper;
import com.ruoyi.project.business.domain.TjElevator;
import com.ruoyi.project.business.service.ITjElevatorService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
@Service
public class TjElevatorServiceImpl implements ITjElevatorService 
{
    @Autowired
    private TjElevatorMapper tjElevatorMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TjElevator selectTjElevatorById(Long id)
    {
        return tjElevatorMapper.selectTjElevatorById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TjElevator> selectTjElevatorList(TjElevator tjElevator)
    {
        return tjElevatorMapper.selectTjElevatorList(tjElevator);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTjElevator(TjElevator tjElevator)
    {
        tjElevator.setCreateTime(DateUtils.getNowDate());
        return tjElevatorMapper.insertTjElevator(tjElevator);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTjElevator(TjElevator tjElevator)
    {
        tjElevator.setUpdateTime(DateUtils.getNowDate());
        return tjElevatorMapper.updateTjElevator(tjElevator);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTjElevatorByIds(Long[] ids)
    {
        return tjElevatorMapper.deleteTjElevatorByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTjElevatorById(Long id)
    {
        return tjElevatorMapper.deleteTjElevatorById(id);
    }
}
